Description

Here in Indonesia a substantial proportion of people have only one name - effectively their first name, and so making both first and

last name required fields is inconvenient.

I would be happy for last name to be optional - I would also be happier if users were sorted by first name, but understand that in

Francophone countries that does not work very well.

Related issues:

Related to Redmine - Patch #1708: 'Assigned to' list sorts by id, not name Closed 2008-07-29

Related to Redmine - Feature #29757: Make "First name" and "Last name" option... New

History

#1 - 2008-07-21 17:08 - Eric Davis

Ewan Makepeace wrote:

I would also be happier if users were sorted by first name, but understand that in Francophone countries that does not work very well.

 I have a patch that I can clean up to allow user name sorting to be done based on a Setting. The choices are to sort by Lastname, Firstname, or

Username.  I'll try to get it cleaned up and submitted.

#2 - 2008-10-02 15:11 - Sander Datema

I would like to have this option (make lastname optional) as well. Specially in a project that only uses nicknames it is handy.

#3 - 2011-03-29 14:32 - Toshi MARUYAMA

- Category set to Accounts / authentication

#4 - 2018-10-12 02:51 - Go MAEDA

- Related to Feature #29757: Make "First name" and "Last name" optional (not required) in user's settings added
